// ----------------------------------------------------------------------------
//
// HalloDelphiROBO                                       Ulrich Mller 25.04.06
//                                                       PCS1700       Delphi 4
// Kleines Beispiel zur Nutzung von umFish40.DLL  v4.1.59.1
// ROBO Interface am ersten USB-Port. Mit Taster I1 und Motor/Lampe an M1
//
// Achtung : in Men Projekt | Optionen | Linker |
//           TextBildschirmanwendung markieren
//
// ----------------------------------------------------------------------------

program HalloDelphiROBO;

uses
  Windows, SysUtils,
  umFish40 in 'umFish40.PAS';
var
  ft, i: LongInt;
  outN: MessageData;
  poutN: pMessageData = @outN;
begin
  ft := rbOpenInterfaceUSB(ftiROBO_first_USB, 0);
  if ft = ftiFehler then begin
    WriteLn('Hier stimmt etwas nicht : ENDE (Enter-Taste)');
    ReadLn;
    exit;
  end
  else WriteLn('HalloDelphiROBO in Action');
  outN.HwId := '2';
  outN.SubId := '1';
  outN.MsgId := 222;
  outN.Msg := 3;
  rbSendMessage(ft, poutN);
  WriteLn('Interface : ' + IntToStr(rbGetActDeviceType(ft)) +
    ' / ' + IntToStr(rbGetActDeviceSerialNr(ft)));
  WriteLn('mit Firmware : ' + IntToStr(rbGetActDeviceFirmwareNr(ft)));
  WriteLn('Start : I1 druecken');
  while rbGetInput(ft, 1) = 0 do Sleep(123);
  for i := 1 to 5 do begin
    WriteLn('Runde : ' + IntToStr(i));
    rbSetMotor(ft, 1, ftiEin);
    Sleep(333);
    rbSetMotor(ft, 1, ftiAus);
    Sleep(333);
 end;
  rbCloseInterface(ft);
  WriteLn('HalloDelphiROBO beendet'); ReadLn;
end.
