// -----------------------------------------------------------------------------------------
//
// HalloROBO.CPP                                                      Ulrich Mller 25.04.06
//                                                                    PCS1700       VC++ 6.0
// Kleines Beispiel zur Nutzung von umFish40.DLL v4.1.59.1
// ROBO Interface am ersten USB-Port. Mit Taster an I1 und Motor/Lampe an M1
//
// -----------------------------------------------------------------------------------------

#include <Windows.h>
#include <iostream.h>
#include "umFish40VC.H"

void main() {
	char Ende;
	cout << "--- HalloROBO : es geht los ---" << endl;
	int iHandle = rbOpenInterfaceUSB(0, 0);
	if (iHandle == rbFehler) {
		cout << "Da stimmt etwas nicht : ENDE (Enter-Taste)" << endl;
		cin.get(Ende);
		return;
	}
	cout << "Interface : " << rbGetActDeviceName(iHandle)
		   << ", Typ : " << rbGetActDeviceType(iHandle) 
		   << ", SerialNr : " << rbGetActDeviceSerialNr(iHandle) << endl;
	cout << "Firmware  : " << rbGetActDeviceFirmware(iHandle) << endl;
	cout << endl << "Start : I1 druecken" << endl;
	while(!rbGetInput(iHandle, 1)) {Sleep(123);}
	for (int i = 0; i < 5; i++) {
		rbSetMotor(iHandle, 1, 1);
		Sleep(333);
		rbSetMotor(iHandle, 1, 0);
		Sleep(333);
	}
	rbCloseInterface(iHandle);
	cout << endl << "--- FINIS : Enter-Taste ---" << endl;
	cin.get(Ende);
}