VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   1  'Fest Einfach
   Caption         =   "umFish40.DLL : Hello ROBO"
   ClientHeight    =   3195
   ClientLeft      =   45
   ClientTop       =   330
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows-Standard
   Begin VB.ListBox lstAus 
      Height          =   2010
      Left            =   240
      TabIndex        =   1
      Top             =   240
      Width           =   4095
   End
   Begin VB.CommandButton cmdAction 
      Caption         =   "&ACTION"
      Height          =   375
      Left            =   3000
      TabIndex        =   0
      Top             =   2520
      Width           =   1335
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' ----------------------------------------------------------------------------------------
'
' frmMain(HelloVBRobo.FRM)                                          Ulrich Mller 25.04.06
'                                                                   PCS1700        VB6 SP5
' Kleines Beispiel zur Nutzung von umFish40.DLL v4.1.59.1
' ROBO Interface am ersten USB-Port. Mit Taster an I1 und Motor/Lampe an M1
'
' ----------------------------------------------------------------------------------------

Option Explicit

Dim iHandle&

Private Sub Form_Load()
  iHandle = rbOpenInterfaceUSB(ftROBO_first_USB, 0)
  If iHandle = rbFehler Then
    MsgBox "Hello ROBO : Da stimmt etwas nicht"
    End
  End If
End Sub

Private Sub cmdAction_Click()
Dim i&
Dim outN As MessageData

  lstAus.AddItem "Hello Robo gestartet"
  lstAus.AddItem "Interface : " & rbGetActDeviceType(iHandle) & _
      " / " & rbGetActDeviceSerialNr(iHandle)
  lstAus.AddItem "Firmware : " & rbGetActDeviceFirmwareNr(iHandle)
  lstAus.AddItem "Start : I1 drcken"
  outN.HwId = 2
  outN.SubId = 1
  outN.MsgId = 222
  outN.Msg = 3
  rbSendMessage iHandle, outN
  Do: DoEvents: Sleep 123: Loop Until rbGetInput(iHandle, 1) = 1
  For i = 1 To 5
  lstAus.AddItem "Runde : " & i
    rbSetMotor iHandle, 1, 1
    DoEvents
    Sleep 333
    rbSetMotor iHandle, 1, 0
    DoEvents
    Sleep 333
  Next i
  lstAus.AddItem "FINITO : Das wars (x-Klicken)"
End Sub

Private Sub Form_Unload(Cancel As Integer)
  rbCloseInterface (iHandle)
End Sub
