Attribute VB_Name = "umFish40Decl"
' ----------------------------------------------------------------------------------------
'
' umFish40Decl(umFish40.BAS)                                        Ulrich Mller 25.04.06
'                                                                   PCS1700       VB6  SP5
' Deklarationen fr umFish40.DLL v4.1.59.1
'
' ----------------------------------------------------------------------------------------

Option Explicit

Public Const rbFehler = &HE0000001

Public Enum Interfaces
  ftROBO_first_USB = 0
  ftIntelligent_IF = 10
  ftIntelligent_IF_Slave = 20
  ftROBO_IF_IIM = 50
  ftROBO_IF_USB = 60
  ftROBO_IF_COM = 70
  ftROBO_IF_Over_RF = 80
  ftROBO_IO_Extension = 90
End Enum
  
Public Type MessageData
  HwId As Byte
  SubId As Byte
  MsgId As Integer
  Msg As Integer
End Type

Public Declare Function rbOpenInterfaceUSB Lib "umFish40.DLL" _
  (ByVal ifTyp&, ByVal SerialNr&) As Long
Public Declare Function rbOpenInterfaceRF Lib "umFish40.DLL" _
  (ByVal SerialNrInterface&) As Long
Public Declare Function rbOpenInterfaceCOM Lib "umFish40.DLL" _
  (ByVal ifTyp&, ByVal ComNr&, ByVal AnalogZyklen&) As Long
Public Declare Function rbCloseInterface Lib "umFish40.DLL" (ByVal iHandle&) As Long

Public Declare Function rbGetInput Lib "umFish40.DLL" _
  (ByVal iHandle&, ByVal InputNr&) As Long
Public Declare Function rbGetInputs Lib "umFish40.DLL" (ByVal iHandle&) As Long
Public Declare Function rbGetAnalog Lib "umFish40.DLL" _
  (ByVal iHandle&, ByVal AnalogNr&) As Long
Public Declare Function rbGetIRKey Lib "umFish40.DLL" _
  (ByVal iHandle&, ByVal Code&, ByVal KeyNr&) As Long
Public Declare Function rbGetVoltage Lib "umFish40.DLL" _
  (ByVal iHandle&, ByVal VoltNr&) As Long

Public Declare Function rbSetMotor Lib "umFish40.DLL" _
  (ByVal iHandle&, ByVal MotNr&, ByVal Dir&) As Long
Public Declare Function rbSetMotorEx Lib "umFish40.DLL" _
  (ByVal iHandle&, ByVal MotNr&, ByVal Dir&, ByVal Speed&) As Long
Public Declare Function rbGetMotors Lib "umFish40.DLL" (ByVal iHandle&) As Long
Public Declare Function rbSetMotors Lib "umFish40.DLL" _
  (ByVal iHandle&, ByVal MotorStatus&) As Long
Public Declare Function rbSetMotorsEx Lib "umFish40.DLL" _
  (ByVal iHandle&, ByVal MotorStatus&, ByVal SpeedStatus&, SpeedStatus16&) As Long
Public Declare Function rbGetModeStatus Lib "umFish40.DLL" _
  (ByVal iHandle&, ByVal MotNr&) As Long
Public Declare Function rbSetModeStatus Lib "umFish40.DLL" _
  (ByVal iHandle&, ByVal MotNr&, ByVal Mode&) As Long
Public Declare Function rbSetLamp Lib "umFish40.DLL" _
  (ByVal iHandle&, ByVal LampNr&, ByVal OnOff&) As Long
Public Declare Function rbSetLampEx Lib "umFish40.DLL" _
  (ByVal iHandle&, ByVal LampNr&, ByVal OnOff&, ByVal Power&) As Long
Public Declare Function rbRobMotor Lib "umFish40.DLL" _
  (ByVal iHandle&, ByVal MotNr&, ByVal Dir&, ByVal Speed&, ByVal ICount&) As Long
Public Declare Function rbRobMotors Lib "umFish40.DLL" _
  (ByVal iHandle&, ByVal MotorStatus&, _
   ByVal SpeedStatus&, ByVal SpeedStatus16&, ByVal ModeStatus&) As Long

Public Declare Function rbGetCounter Lib "umFish40.DLL" _
  (ByVal iHandle&, ByVal CounterNr&) As Long
Public Declare Function rbSetCounter Lib "umFish40.DLL" _
  (ByVal iHandle&, ByVal CounterNr&, ByVal ICount&) As Long
Public Declare Function rbClearCounters Lib "umFish40.DLL" (ByVal iHandle&) As Long

Public Declare Function rbClearMessagesIn Lib "umFish40.DLL" (ByVal iHandle&) As Long
Public Declare Function rbClearMessagesOut Lib "umFish40.DLL" (ByVal iHandle&) As Long
Public Declare Function rbGetMessage Lib "umFish40.DLL" (ByVal iHandle&, ByRef inN As MessageData) As Long
Public Declare Function rbIsMessage Lib "umFish40.DLL" (ByVal iHandle&) As Long
Public Declare Function rbSendMessage Lib "umFish40.DLL" (ByVal iHandle&, ByRef outN As MessageData) As Long
Public Declare Function rbSendMessageEx Lib "umFish40.DLL" (ByVal iHandle&, ByRef outN As MessageData) As Long

Public Declare Function rbGetActDeviceType Lib "umFish40.DLL" (ByVal iHandle&) As Long
Public Declare Function rbGetActDeviceSerialNr Lib "umFish40.DLL" (ByVal iHandle&) As Long
Public Declare Function rbGetActDeviceFirmwareNr Lib "umFish40.DLL" (ByVal iHandle&) As Long


Public Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds&)


